Download it now!
Bug 63535 - FORMATTING: Custom CreateDate saved in .DOC as General instead of Date
Summary: FORMATTING: Custom CreateDate saved in .DOC as General instead of Date
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:doc, filter:docx
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2013-04-15 03:36 UTC by Ruslan Fatakhov
Modified: 2019-12-11 03:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (15.50 KB, application/msword)
2013-04-15 03:36 UTC, Ruslan Fatakhov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Fatakhov 2013-04-15 03:36:24 UTC
Created attachment 77971 [details]
Test file

Problem description: 
When i add custom property name 'CREATEDATE' with type date, and insert it in document, i can see right it. But if i open one next time i see that my custom property type changed on type 'DateTime'
Steps to reproduce:
1. Open file 'Test.doc'
2. Add custom property 'CreateDate' with date type
3. Insert custom field
4. Save the file
5. Open the file

Current behavior:
i see 41136 insted date

Expected behavior:
right format date mm/dd/yyyy
              
Operating System: Ubuntu
Version: 4.0.2.2 release
Comment 1 Marc Kaulisch 2013-04-16 20:25:56 UTC
I can confirm this behaviour with the same version 4.0.2.2 under Windows 8.
This only occurs with .doc and not with .odt

With .docx there is another problem: the user-defined fields are lost.
Comment 2 Urmas 2013-04-17 13:03:22 UTC
To be precise, the VT_DATE document properties have no default format. In normal software, they are formatted as short date by default.
Comment 3 Marc Kaulisch 2014-06-27 11:12:22 UTC
still the date type of the custom property name is not kept when opened in LO 4.3.0.1 again
bug remains for .doc
Comment 4 Marc Kaulisch 2014-11-24 09:15:29 UTC
still present in 4.4.0.0.beta1
it is only a problem with doc and docx
no problems when using odt
Comment 5 Timur 2015-08-31 17:17:52 UTC
Reproduced with 5.1+.
LO 3.3.0 could save the existing format properly, but it couldn't insert it, because Inset-Fields-DocInformation-Custom are empty.
After that, Custom fields are there, but with this bug.
I change the title because it's just CreateDate problem, other fields are saved.
Comment 6 Timur 2015-11-30 11:40:11 UTC
Revisiting this:
- it's not that CreateDate is not saved in .DOC, rather it's saved as General type field instead of Date, and it can be converted via editing field (but it won't be saved)
- why would you use custom CreateDate field when there's normal Insert-Fields-DocInformation-Created-Date field that works?
- CreateDate field from DOC created in Word is retained in DOC by LO.

So, I suggest this be closed.
Comment 7 royerjy 2016-07-20 06:50:19 UTC
After a question on French list, it appears in all LO versions, included 5.2.0 rc2, than the field "Date (fixed)" is converted in "date" when exported in .doc or when imported from .doc. Among all fields date in MS WW, it seems better to convert "Date (fixed)" in "createdate" and "createdate" in "Date (fixed)" which is used in models. What to do with other date fields in MS WW ????

To test, create a document with two fields date : one "Date" and other "Date (fixed)". Export in ".doc". When opening with LO, all fields are "Date". What happens with MS WW ? Where is the bug : in export or import ?
Comment 8 Aron Budea 2016-07-21 02:42:09 UTC
(In reply to royerjy from comment #7)
Someone reported an issue with fixed dates becoming just dates (bug 100961). Based on your hint, I managed to reproduce it, as the bug only occurs when the document is converted to DOC format. Thanks!


Also, adding keywords filter:doc and docx to this report, as it seems to concern those filters.
Comment 9 royerjy 2016-07-21 05:42:39 UTC
(In reply to Aron Budea from comment #8)
> (In reply to royerjy from comment #7)
> Someone reported an issue with fixed dates becoming just dates (bug 100961).
> Based on your hint, I managed to reproduce it, as the bug only occurs when
> the document is converted to DOC format. Thanks!

It appears also with .docx. I don't tried others filters.

> 
> 
> Also, adding keywords filter:doc and docx to this report, as it seems to
> concern those filters.
Comment 10 Aron Budea 2016-07-21 06:30:39 UTC
(In reply to royerjy from comment #9)
> It appears also with .docx. I don't tried others filters.

For me it was fine with DOCX export, the date remained fixed both after converting to DOCX, and then back to ODT. I used 5.1.4.2, which version did you try it with?
Comment 11 royerjy 2016-07-21 07:21:09 UTC
(In reply to Aron Budea from comment #10)
> (In reply to royerjy from comment #9)
> > It appears also with .docx. I don't tried others filters.
> 
> For me it was fine with DOCX export, the date remained fixed both after
> converting to DOCX, and then back to ODT. I used 5.1.4.2, which version did
> you try it with?

I tried again with two new documents in .docx (WW 2017-2013 and Open XML). It is was almost good, but French date month is converted to English :
"21 juillet 2016" come back to "21 July 2016" in "Date (fixed)".
Comment 12 Aron Budea 2016-07-21 07:56:42 UTC
(In reply to royerjy from comment #11)

Thanks for the feedback, I added it to bug 100961, and since this bug report seems to be about a slightly different issue, I suggest using the other one if you have any further comments in the future regarding the changing between fixed/non-fixed dates.
Comment 13 royerjy 2016-11-03 14:18:17 UTC
Still presents in 5.2.3/RC3 on Linux 64 bits
Comment 14 QA Administrators 2017-12-10 16:40:22 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2019-12-11 03:38:53 UTC
Dear Ruslan Fatakhov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug